from srs2std.generate.standardize_strategies import StandardizeStrategy
from srs2std.srs.template import Template


class StandardizeContext:
    def __init__(self, srs_orig: str, template: Template):
        self.srs_orig = srs_orig
        self.template = template

    def run(self, strategy: StandardizeStrategy) -> str:
        return strategy.run(self.srs_orig, self.template)
